Nimbu Developer Docs
ReferenceMenus

Fetch a menu

GET
/menus/{menu_id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

menu_id*string

Menu permalink or identifier

Query Parameters

nested?string

Set to true to include nested items

Response Body

application/json

curl -X GET "https://example.com/menus/string"
{
  "id": "string",
  "url": "http://example.com",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "slug": "string",
  "name": "string",
  "items": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "kind": "string",
      "slug": "string",
      "fullpath": "string",
      "position": 0,
      "depth": 0,
      "name": "string",
      "target_url": "string",
      "target_page": "string",
      "target_fullpath": "string",
      "children": [
        {
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "kind": "string",
          "slug": "string",
          "fullpath": "string",
          "position": 0,
          "depth": 0,
          "name": "string",
          "target_url": "string",
          "target_page": "string",
          "target_fullpath": "string",
          "children": []
        }
      ]
    }
  ]
}
Empty